//
//  ViewController.swift
//  hex_decimal_RGB
//
//  Created by yoshiyuki oshige on 2014/07/07.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // 16進数RRGGBBを10進数R、G、Bに分解
        let RGB: UInt32 = 0x40E0D0 // turquoise(64,224,208)
        let red = (RGB & 0xFF0000) >> 16
        let green = (RGB & 0x00FF00) >> 8
        let blue = RGB & 0x0000FF
        println("red \(red), green \(green), blue \(blue)")
        
        //背景色に設定
        let R = CGFloat(red)/255
        let G = CGFloat(green)/255
        let B = CGFloat(blue)/255
        view.backgroundColor = UIColor(red:R,green:G,blue:B,alpha:1)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

